/**
 * Check out https://googlechrome.github.io/sw-toolbox/docs/master/index.html for
 * more info on how to use sw-toolbox to custom configure your service worker.
 */


'use strict';
importScripts('./build/sw-toolbox.js');
self.toolbox.options.cache = {
  name: 'ionic-cache'
};
// pre-cache our key assets
self.toolbox.precache(
  [
    './build/main.js',
    './build/main.css',
    './build/polyfills.js',
    'index.html',
    'manifest.json'
  ]
);
self.toolbox.router.any('/*', self.toolbox.cacheFirst);
self.toolbox.router.default = self.toolbox.cacheFirst;

// 缓存域名的所有请求
self.toolbox.router.any(/https:\/\/smart-vanward\.oss-cn-shenzhen\.aliyuncs\.com\//, (request, values, options) => {
  return self.toolbox.cacheFirst(request, values, options).then(response => {
    // 在这里设置自定义的过期时间，例如15天
    const maxAge = 15 * 24 * 60 * 60; // 15天的秒数
    const headers = new Headers(response.headers);
    headers.set('cache-control', `max-age=${maxAge}, ${headers.get('cache-control')}`);
    return new Response(response.body, {headers});
  });
});




